# $Revision: 1.15 $, $Date: 2009/04/26 17:20:09 $
%define		_modname	idn
%define		_status		beta
Summary:	%{_modname} - binding to the GNU libidn
Summary(pl.UTF-8):	%{_modname} - wiązanie do GNU libidn
Name:		php-pecl-idn
Version:	0.2.0
Release:	1
License:	PHP 3.0
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	f42dadf9b15bfc897458ff8735f05f78
URL:		http://pecl.php.net/package/idn/
BuildRequires:	libidn-devel
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
Obsoletes:	php-pear-idn
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Binding to the GNU libidn for using Internationalized Domain Names.

In PECL status of this package is: %{_status}.

%description -l pl.UTF-8
Wiązanie do GNU libidn do używania umiędzynarodowionych nazw domen
(Internationalized Domain Names).

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install %{_modname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-idn.spec,v $
Revision 1.15  2009/04/26 17:20:09  adamg
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

Revision 1.14  2009/01/07 00:24:47  adamg
- updated to 0.2.0

Revision 1.13  2008/10/15 13:09:48  baggins
- rel 4
- added cvs fixes so that it works

Revision 1.12  2008/10/11 00:07:33  baggins
- rel 3

Revision 1.11  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.10  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.9  2006/12/28 13:41:15  glen
- use new php extension related macros

Revision 1.8  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.7  2005/10/29 00:05:14  glen
- rebuild with zts and debug requires

Revision 1.6  2005/09/14 13:37:00  glen
- conf.d and php api macros

Revision 1.5  2005/09/13 21:16:43  glen
- superfluous BR libtool removed

Revision 1.4  2004/10/24 20:16:09  paladine
- spelling fixes, uppercases, etc.

Revision 1.3  2004/08/01 17:53:42  adamg
- fixed License (it's PHP 3.0 according to README file)

Revision 1.2  2004/07/17 23:30:17  qboosh
- pl

Revision 1.1  2004/07/16 20:18:13  arekm
- initial pld release
